OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.EXT.DrawBuffers2

Contents

- Functions

Description

All raw functions from the EXT_draw_buffers2 extension, see http://www.opengl.org/registry/specs/EXT/draw_buffers2.txt.

Synopsis

- glColorMaskIndexed :: GLuint -> GLboolean -> GLboolean -> GLboolean -> GLboolean -> IO ()
- glGetBooleanIndexedv :: GLenum -> GLuint -> Ptr GLboolean -> IO ()
- glGetIntegerIndexedv :: GLenum -> GLuint -> Ptr GLint -> IO ()
- glEnableIndexed :: GLenum -> GLuint -> IO ()
- glDisableIndexed :: GLenum -> GLuint -> IO ()
- glIsEnabledIndexed :: GLenum -> GLuint -> IO GLboolean

# Functions

glColorMaskIndexed :: GLuint -> GLboolean -> GLboolean -> GLboolean -> GLboolean -> IO ()

glGetBooleanIndexedv :: GLenum -> GLuint -> Ptr GLboolean -> IO ()

glGetIntegerIndexedv :: GLenum -> GLuint -> Ptr GLint -> IO ()

glEnableIndexed :: GLenum -> GLuint -> IO ()

glDisableIndexed :: GLenum -> GLuint -> IO ()

glIsEnabledIndexed :: GLenum -> GLuint -> IO GLboolean